Memcached::getMultiByKey
Memcached::getResultCode
Memcached
PHP Manual

# Memcached::getOption

(PECL memcached >= 0.1.0)

Memcached::getOption — Retrieve a Memcached option value

### 설명

public void Memcached::getOption ( int `$option` )

This method returns the value of a Memcached `option` . Some options correspond to the ones defined by libmemcached, and some are specific to the extension. See Memcached Constants for more information.

### 인수

`option`

  One of the Memcached::OPT_* constants.

### 반환값

Returns the value of the requested option, or FALSE on error.

### 예제

Example #1 Retrieving Memcached options

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_COMPRESSION));
var_dump($m->getOption(Memcached::OPT_POLL_TIMEOUT));
?>`

위 예제의 출력 예시:

    bool(true)
    int(1000)

### 참고

- Memcached::setOption - Set a Memcached option
- Memcached Constants

Memcached::getMultiByKey
Memcached::getResultCode
Memcached
PHP Manual